summaryrefslogtreecommitdiff
path: root/openwrt/package/p910nd/files/p910nd.init
diff options
context:
space:
mode:
authornico <nico@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-09-26 02:09:28 +0000
committernico <nico@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-09-26 02:09:28 +0000
commit897b421b49f87c03a62ed0479089d1d026270b8a (patch)
tree1b5beb6288b3dc311e48d5543aa3b5bc1e4da304 /openwrt/package/p910nd/files/p910nd.init
parent67ebf100859401eb43d3997523ef527d3a0a4144 (diff)
add p910nd (thanks to Oliver Ertl)
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@1993 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'openwrt/package/p910nd/files/p910nd.init')
-rw-r--r--openwrt/package/p910nd/files/p910nd.init20
1 files changed, 20 insertions, 0 deletions
diff --git a/openwrt/package/p910nd/files/p910nd.init b/openwrt/package/p910nd/files/p910nd.init
new file mode 100644
index 0000000000..44bff5b505
--- /dev/null
+++ b/openwrt/package/p910nd/files/p910nd.init
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+DEFAULT=/etc/default/p910nd
+[ -f $DEFAULT ] && . $DEFAULT
+RUN_D=/var/run
+PID_F=$RUN_D/p910${PORT-0}d.pid
+
+case $1 in
+ start)
+ mkdir -p $RUN_D
+ p910nd $OPTIONS
+ ;;
+ stop)
+ [ -f $PID_F ] && kill $(cat $PID_F)
+ ;;
+ *)
+ echo "usage: $0 (start|stop)"
+ exit 1
+esac
+exit $?